Search documentation of wx

# View Source wxAuiPaneInfo (wx v2.4.3.1)

`wxAuiPaneInfo` is part of the wxAUI class framework.

See also overview_aui.

`wxAuiPaneInfo` specifies all the parameters for a pane. These parameters specify where the pane is on the screen, whether it is docked or floating, or hidden. In addition, these parameters specify the pane's docked position, floating position, preferred size, minimum size, caption text among many other parameters.

See:

- `wxAuiManager`

- `wxAuiDockArt`

wxWidgets docs: wxAuiPaneInfo

# Summary

## Types

wxAuiPaneInfo()

## Functions

bestSize(This, Size)

`bestSize/3` sets the ideal size for the pane.

bestSize(This, X, Y)
bottom(This)

`bottom/1` sets the pane dock position to the bottom side of the frame.

bottomDockable(This)

Equivalent to `bottomDockable(This, [])`.

bottomDockable/2

`bottomDockable/2` indicates whether a pane can be docked at the bottom of the frame.

caption(This, C)

`caption/2` sets the caption of the pane.

captionVisible(This)

Equivalent to `captionVisible(This, [])`.

captionVisible/2

CaptionVisible indicates that a pane caption should be visible.

centre(This)

`Center()` (not implemented in wx) sets the pane dock position to the left side of the frame.

centrePane(This)

`centrePane/1` specifies that the pane should adopt the default center pane settings.

closeButton(This)

Equivalent to `closeButton(This, [])`.

closeButton/2

`closeButton/2` indicates that a close button should be drawn for the pane.

defaultPane(This)

`defaultPane/1` specifies that the pane should adopt the default pane settings.

destroy(This)

Destroys the object

destroyOnClose(This)

Equivalent to `destroyOnClose(This, [])`.

destroyOnClose/2

`destroyOnClose/2` indicates whether a pane should be destroyed when it is closed.

direction(This, Direction)

`direction/2` determines the direction of the docked pane.

dock(This)

`dock/1` indicates that a pane should be docked.

dockable(This)

Equivalent to `dockable(This, [])`.

dockable/2

`dockable/2` specifies whether a frame can be docked or not.

fixed(This)

`fixed/1` forces a pane to be fixed size so that it cannot be resized.

float(This)

`float/1` indicates that a pane should be floated.

floatable(This)

Equivalent to `floatable(This, [])`.

floatable/2

`floatable/2` sets whether the user will be able to undock a pane and turn it into a floating window.

floatingPosition(This, Pos)

`floatingPosition/3` sets the position of the floating pane.

floatingPosition(This, X, Y)
floatingSize(This, Size)

`floatingSize/3` sets the size of the floating pane.

floatingSize(This, X, Y)
getDirection(This)
getFloatingPosition(This)
getFloatingSize(This)
getFrame(This)
getLayer(This)
getPosition(This)
getRow(This)
getWindow(This)
gripper(This)

Equivalent to `gripper(This, [])`.

gripper/2

`gripper/2` indicates that a gripper should be drawn for the pane.

gripperTop(This)

Equivalent to `gripperTop(This, [])`.

gripperTop/2

`gripperTop/2` indicates that a gripper should be drawn at the top of the pane.

hasBorder(This)

`hasBorder/1` returns true if the pane displays a border.

hasCaption(This)

`hasCaption/1` returns true if the pane displays a caption.

hasCloseButton(This)

`hasCloseButton/1` returns true if the pane displays a button to close the pane.

hasFlag(This, Flag)

`hasFlag/2` returns true if the property specified by flag is active for the pane.

hasGripper(This)

`hasGripper/1` returns true if the pane displays a gripper.

hasGripperTop(This)

`hasGripper/1` returns true if the pane displays a gripper at the top.

hasMaximizeButton(This)

`hasMaximizeButton/1` returns true if the pane displays a button to maximize the pane.

hasMinimizeButton(This)

`hasMinimizeButton/1` returns true if the pane displays a button to minimize the pane.

hasPinButton(This)

`hasPinButton/1` returns true if the pane displays a button to float the pane.

hide(This)

`hide/1` indicates that a pane should be hidden.

isBottomDockable(This)

`isBottomDockable/1` returns true if the pane can be docked at the bottom of the managed frame.

isDocked(This)

`isDocked/1` returns true if the pane is currently docked.

isFixed(This)

`isFixed/1` returns true if the pane cannot be resized.

isFloatable(This)

`isFloatable/1` returns true if the pane can be undocked and displayed as a floating window.

isFloating(This)

`isFloating/1` returns true if the pane is floating.

isLeftDockable(This)

`isLeftDockable/1` returns true if the pane can be docked on the left of the managed frame.

isMovable(This)

IsMoveable() returns true if the docked frame can be undocked or moved to another dock position.

isOk(This)

`isOk/1` returns true if the `wxAuiPaneInfo` structure is valid.

isResizable(This)

`isResizable/1` returns true if the pane can be resized.

isRightDockable(This)

`isRightDockable/1` returns true if the pane can be docked on the right of the managed frame.

isShown(This)

`isShown/1` returns true if the pane is currently shown.

isToolbar(This)

`isToolbar/1` returns true if the pane contains a toolbar.

isTopDockable(This)

`isTopDockable/1` returns true if the pane can be docked at the top of the managed frame.

layer(This, Layer)

`layer/2` determines the layer of the docked pane.

left(This)

`left/1` sets the pane dock position to the left side of the frame.

leftDockable(This)

Equivalent to `leftDockable(This, [])`.

leftDockable/2

`leftDockable/2` indicates whether a pane can be docked on the left of the frame.

maximizeButton(This)

Equivalent to `maximizeButton(This, [])`.

maximizeButton/2

`maximizeButton/2` indicates that a maximize button should be drawn for the pane.

maxSize(This, Size)

`maxSize/3` sets the maximum size of the pane.

maxSize(This, X, Y)
minimizeButton(This)

Equivalent to `minimizeButton(This, [])`.

minimizeButton/2

`minimizeButton/2` indicates that a minimize button should be drawn for the pane.

minSize(This, Size)

`minSize/3` sets the minimum size of the pane.

minSize(This, X, Y)
movable(This)

Equivalent to `movable(This, [])`.

movable/2

Movable indicates whether a frame can be moved.

name(This, N)

`name/2` sets the name of the pane so it can be referenced in lookup functions.

new()
new(C)

Copy constructor.

paneBorder(This)

Equivalent to `paneBorder(This, [])`.

paneBorder/2

PaneBorder indicates that a border should be drawn for the pane.

pinButton(This)

Equivalent to `pinButton(This, [])`.

pinButton/2

`pinButton/2` indicates that a pin button should be drawn for the pane.

position(This, Pos)

`position/2` determines the position of the docked pane.

resizable(This)

Equivalent to `resizable(This, [])`.

resizable/2

`resizable/2` allows a pane to be resized if the parameter is true, and forces it to be a fixed size if the parameter is false.

right(This)

`right/1` sets the pane dock position to the right side of the frame.

rightDockable(This)

Equivalent to `rightDockable(This, [])`.

rightDockable/2

`rightDockable/2` indicates whether a pane can be docked on the right of the frame.

row(This, Row)

`row/2` determines the row of the docked pane.

safeSet(This, Source)

Write the safe parts of a PaneInfo object "source" into "this".

setFlag(This, Flag, Option_state)

`setFlag/3` turns the property given by flag on or off with the option_state parameter.

show(This)

Equivalent to `show(This, [])`.

show/2

`show/2` indicates that a pane should be shown.

toolbarPane(This)

`toolbarPane/1` specifies that the pane should adopt the default toolbar pane settings.

top(This)

`top/1` sets the pane dock position to the top of the frame.

topDockable(This)

Equivalent to `topDockable(This, [])`.

topDockable/2

`topDockable/2` indicates whether a pane can be docked at the top of the frame.

window(This, W)

`window/2` assigns the window pointer that the `wxAuiPaneInfo` should use.

# Types

# wxAuiPaneInfo()

    -type wxAuiPaneInfo() :: wx:wx_object().

# Functions

# bestSize(This, Size)

    -spec bestSize(This, Size) -> wxAuiPaneInfo()
                      when This :: wxAuiPaneInfo(), Size :: {W :: integer(), H :: integer()}.

`bestSize/3` sets the ideal size for the pane.

The docking manager will attempt to use this size as much as possible when docking or floating the pane.

# bestSize(This, X, Y)

    -spec bestSize(This, X, Y) -> wxAuiPaneInfo()
                      when This :: wxAuiPaneInfo(), X :: integer(), Y :: integer().

# bottom(This)

    -spec bottom(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`bottom/1` sets the pane dock position to the bottom side of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_BOTTOM).

# bottomDockable(This)

    -spec bottomDockable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `bottomDockable(This, [])`.

# bottomDockable/2

    -spec bottomDockable(This, [Option]) -> wxAuiPaneInfo()
                            when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`bottomDockable/2` indicates whether a pane can be docked at the bottom of the frame.

# caption(This, C)

    -spec caption(This, C) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), C :: unicode:chardata().

`caption/2` sets the caption of the pane.

# captionVisible(This)

    -spec captionVisible(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `captionVisible(This, [])`.

# captionVisible/2

    -spec captionVisible(This, [Option]) -> wxAuiPaneInfo()
                            when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

CaptionVisible indicates that a pane caption should be visible.

If false, no pane caption is drawn.

# centre(This)

    -spec centre(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`Center()` (not implemented in wx) sets the pane dock position to the left side of the frame.

The centre pane is the space in the middle after all border panes (left, top, right, bottom) are subtracted from the layout. This is the same thing as calling Direction(wxAUI_DOCK_CENTRE).

# centrePane(This)

    -spec centrePane(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`centrePane/1` specifies that the pane should adopt the default center pane settings.

Centre panes usually do not have caption bars. This function provides an easy way of preparing a pane to be displayed in the center dock position.

# closeButton(This)

    -spec closeButton(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `closeButton(This, [])`.

# closeButton/2

    -spec closeButton(This, [Option]) -> wxAuiPaneInfo()
                         when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

`closeButton/2` indicates that a close button should be drawn for the pane.

# defaultPane(This)

    -spec defaultPane(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`defaultPane/1` specifies that the pane should adopt the default pane settings.

# destroy(This)

    -spec destroy(This :: wxAuiPaneInfo()) -> ok.

Destroys the object

# destroyOnClose(This)

    -spec destroyOnClose(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `destroyOnClose(This, [])`.

# destroyOnClose/2

    -spec destroyOnClose(This, [Option]) -> wxAuiPaneInfo()
                            when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`destroyOnClose/2` indicates whether a pane should be destroyed when it is closed.

Normally a pane is simply hidden when the close button is clicked. Setting DestroyOnClose to true will cause the window to be destroyed when the user clicks the pane's close button.

# direction(This, Direction)

    -spec direction(This, Direction) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Direction :: integer().

`direction/2` determines the direction of the docked pane.

It is functionally the same as calling `left/1`, `right/1`, `top/1` or `bottom/1`, except that docking direction may be specified programmatically via the parameter.

# dock(This)

    -spec dock(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`dock/1` indicates that a pane should be docked.

It is the opposite of `float/1`.

# dockable(This)

    -spec dockable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `dockable(This, [])`.

# dockable/2

    -spec dockable(This, [Option]) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`dockable/2` specifies whether a frame can be docked or not.

It is the same as specifying TopDockable(b).BottomDockable(b).LeftDockable(b).RightDockable(b).

# fixed(This)

    -spec fixed(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`fixed/1` forces a pane to be fixed size so that it cannot be resized.

After calling `fixed/1`, `isFixed/1` will return true.

# float(This)

    -spec float(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`float/1` indicates that a pane should be floated.

It is the opposite of `dock/1`.

# floatable(This)

    -spec floatable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `floatable(This, [])`.

# floatable/2

    -spec floatable(This, [Option]) -> wxAuiPaneInfo()
                       when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`floatable/2` sets whether the user will be able to undock a pane and turn it into a floating window.

# floatingPosition(This, Pos)

    -spec floatingPosition(This, Pos) -> wxAuiPaneInfo()
                              when This :: wxAuiPaneInfo(), Pos :: {X :: integer(), Y :: integer()}.

`floatingPosition/3` sets the position of the floating pane.

# floatingPosition(This, X, Y)

    -spec floatingPosition(This, X, Y) -> wxAuiPaneInfo()
                              when This :: wxAuiPaneInfo(), X :: integer(), Y :: integer().

# floatingSize(This, Size)

    -spec floatingSize(This, Size) -> wxAuiPaneInfo()
                          when This :: wxAuiPaneInfo(), Size :: {W :: integer(), H :: integer()}.

`floatingSize/3` sets the size of the floating pane.

# floatingSize(This, X, Y)

    -spec floatingSize(This, X, Y) -> wxAuiPaneInfo()
                          when This :: wxAuiPaneInfo(), X :: integer(), Y :: integer().

# getDirection(This)

    -spec getDirection(This) -> integer() when This :: wxAuiPaneInfo().

# getFloatingPosition(This)

    -spec getFloatingPosition(This) -> {X :: integer(), Y :: integer()} when This :: wxAuiPaneInfo().

# getFloatingSize(This)

    -spec getFloatingSize(This) -> {W :: integer(), H :: integer()} when This :: wxAuiPaneInfo().

# getFrame(This)

    -spec getFrame(This) -> wxFrame:wxFrame() when This :: wxAuiPaneInfo().

# getLayer(This)

    -spec getLayer(This) -> integer() when This :: wxAuiPaneInfo().

# getPosition(This)

    -spec getPosition(This) -> integer() when This :: wxAuiPaneInfo().

# getRow(This)

    -spec getRow(This) -> integer() when This :: wxAuiPaneInfo().

# getWindow(This)

    -spec getWindow(This) -> wxWindow:wxWindow() when This :: wxAuiPaneInfo().

# gripper(This)

    -spec gripper(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `gripper(This, [])`.

# gripper/2

    -spec gripper(This, [Option]) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

`gripper/2` indicates that a gripper should be drawn for the pane.

# gripperTop(This)

    -spec gripperTop(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `gripperTop(This, [])`.

# gripperTop/2

    -spec gripperTop(This, [Option]) -> wxAuiPaneInfo()
                        when This :: wxAuiPaneInfo(), Option :: {attop, boolean()}.

`gripperTop/2` indicates that a gripper should be drawn at the top of the pane.

# hasBorder(This)

    -spec hasBorder(This) -> boolean() when This :: wxAuiPaneInfo().

`hasBorder/1` returns true if the pane displays a border.

# hasCaption(This)

    -spec hasCaption(This) -> boolean() when This :: wxAuiPaneInfo().

`hasCaption/1` returns true if the pane displays a caption.

# hasCloseButton(This)

    -spec hasCloseButton(This) -> boolean() when This :: wxAuiPaneInfo().

`hasCloseButton/1` returns true if the pane displays a button to close the pane.

# hasFlag(This, Flag)

    -spec hasFlag(This, Flag) -> boolean() when This :: wxAuiPaneInfo(), Flag :: integer().

`hasFlag/2` returns true if the property specified by flag is active for the pane.

# hasGripper(This)

    -spec hasGripper(This) -> boolean() when This :: wxAuiPaneInfo().

`hasGripper/1` returns true if the pane displays a gripper.

# hasGripperTop(This)

    -spec hasGripperTop(This) -> boolean() when This :: wxAuiPaneInfo().

`hasGripper/1` returns true if the pane displays a gripper at the top.

# hasMaximizeButton(This)

    -spec hasMaximizeButton(This) -> boolean() when This :: wxAuiPaneInfo().

`hasMaximizeButton/1` returns true if the pane displays a button to maximize the pane.

# hasMinimizeButton(This)

    -spec hasMinimizeButton(This) -> boolean() when This :: wxAuiPaneInfo().

`hasMinimizeButton/1` returns true if the pane displays a button to minimize the pane.

# hasPinButton(This)

    -spec hasPinButton(This) -> boolean() when This :: wxAuiPaneInfo().

`hasPinButton/1` returns true if the pane displays a button to float the pane.

# hide(This)

    -spec hide(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`hide/1` indicates that a pane should be hidden.

# isBottomDockable(This)

    -spec isBottomDockable(This) -> boolean() when This :: wxAuiPaneInfo().

`isBottomDockable/1` returns true if the pane can be docked at the bottom of the managed frame.

# isDocked(This)

    -spec isDocked(This) -> boolean() when This :: wxAuiPaneInfo().

`isDocked/1` returns true if the pane is currently docked.

# isFixed(This)

    -spec isFixed(This) -> boolean() when This :: wxAuiPaneInfo().

`isFixed/1` returns true if the pane cannot be resized.

# isFloatable(This)

    -spec isFloatable(This) -> boolean() when This :: wxAuiPaneInfo().

`isFloatable/1` returns true if the pane can be undocked and displayed as a floating window.

# isFloating(This)

    -spec isFloating(This) -> boolean() when This :: wxAuiPaneInfo().

`isFloating/1` returns true if the pane is floating.

# isLeftDockable(This)

    -spec isLeftDockable(This) -> boolean() when This :: wxAuiPaneInfo().

`isLeftDockable/1` returns true if the pane can be docked on the left of the managed frame.

# isMovable(This)

    -spec isMovable(This) -> boolean() when This :: wxAuiPaneInfo().

IsMoveable() returns true if the docked frame can be undocked or moved to another dock position.

# isOk(This)

    -spec isOk(This) -> boolean() when This :: wxAuiPaneInfo().

`isOk/1` returns true if the `wxAuiPaneInfo` structure is valid.

A pane structure is valid if it has an associated window.

# isResizable(This)

    -spec isResizable(This) -> boolean() when This :: wxAuiPaneInfo().

`isResizable/1` returns true if the pane can be resized.

# isRightDockable(This)

    -spec isRightDockable(This) -> boolean() when This :: wxAuiPaneInfo().

`isRightDockable/1` returns true if the pane can be docked on the right of the managed frame.

# isShown(This)

    -spec isShown(This) -> boolean() when This :: wxAuiPaneInfo().

`isShown/1` returns true if the pane is currently shown.

# isToolbar(This)

    -spec isToolbar(This) -> boolean() when This :: wxAuiPaneInfo().

`isToolbar/1` returns true if the pane contains a toolbar.

# isTopDockable(This)

    -spec isTopDockable(This) -> boolean() when This :: wxAuiPaneInfo().

`isTopDockable/1` returns true if the pane can be docked at the top of the managed frame.

# layer(This, Layer)

    -spec layer(This, Layer) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Layer :: integer().

`layer/2` determines the layer of the docked pane.

The dock layer is similar to an onion, the inner-most layer being layer 0. Each shell moving in the outward direction has a higher layer number. This allows for more complex docking layout formation.

# left(This)

    -spec left(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`left/1` sets the pane dock position to the left side of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_LEFT).

# leftDockable(This)

    -spec leftDockable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `leftDockable(This, [])`.

# leftDockable/2

    -spec leftDockable(This, [Option]) -> wxAuiPaneInfo()
                          when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`leftDockable/2` indicates whether a pane can be docked on the left of the frame.

# maximizeButton(This)

    -spec maximizeButton(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `maximizeButton(This, [])`.

# maximizeButton/2

    -spec maximizeButton(This, [Option]) -> wxAuiPaneInfo()
                            when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

`maximizeButton/2` indicates that a maximize button should be drawn for the pane.

# maxSize(This, Size)

    -spec maxSize(This, Size) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), Size :: {W :: integer(), H :: integer()}.

`maxSize/3` sets the maximum size of the pane.

# maxSize(This, X, Y)

    -spec maxSize(This, X, Y) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), X :: integer(), Y :: integer().

# minimizeButton(This)

    -spec minimizeButton(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `minimizeButton(This, [])`.

# minimizeButton/2

    -spec minimizeButton(This, [Option]) -> wxAuiPaneInfo()
                            when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

`minimizeButton/2` indicates that a minimize button should be drawn for the pane.

# minSize(This, Size)

    -spec minSize(This, Size) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), Size :: {W :: integer(), H :: integer()}.

`minSize/3` sets the minimum size of the pane.

Please note that this is only partially supported as of this writing.

# minSize(This, X, Y)

    -spec minSize(This, X, Y) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), X :: integer(), Y :: integer().

# movable(This)

    -spec movable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `movable(This, [])`.

# movable/2

    -spec movable(This, [Option]) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

Movable indicates whether a frame can be moved.

# name(This, N)

    -spec name(This, N) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), N :: unicode:chardata().

`name/2` sets the name of the pane so it can be referenced in lookup functions.

If a name is not specified by the user, a random name is assigned to the pane when it is added to the manager.

# new()

    -spec new() -> wxAuiPaneInfo().

# new(C)

    -spec new(C) -> wxAuiPaneInfo() when C :: wxAuiPaneInfo().

Copy constructor.

# paneBorder(This)

    -spec paneBorder(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `paneBorder(This, [])`.

# paneBorder/2

    -spec paneBorder(This, [Option]) -> wxAuiPaneInfo()
                        when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

PaneBorder indicates that a border should be drawn for the pane.

# pinButton(This)

    -spec pinButton(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `pinButton(This, [])`.

# pinButton/2

    -spec pinButton(This, [Option]) -> wxAuiPaneInfo()
                       when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

`pinButton/2` indicates that a pin button should be drawn for the pane.

# position(This, Pos)

    -spec position(This, Pos) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Pos :: integer().

`position/2` determines the position of the docked pane.

# resizable(This)

    -spec resizable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `resizable(This, [])`.

# resizable/2

    -spec resizable(This, [Option]) -> wxAuiPaneInfo()
                       when This :: wxAuiPaneInfo(), Option :: {resizable, boolean()}.

`resizable/2` allows a pane to be resized if the parameter is true, and forces it to be a fixed size if the parameter is false.

This is simply an antonym for `fixed/1`.

# right(This)

    -spec right(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`right/1` sets the pane dock position to the right side of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_RIGHT).

# rightDockable(This)

    -spec rightDockable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `rightDockable(This, [])`.

# rightDockable/2

    -spec rightDockable(This, [Option]) -> wxAuiPaneInfo()
                           when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`rightDockable/2` indicates whether a pane can be docked on the right of the frame.

# row(This, Row)

    -spec row(This, Row) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Row :: integer().

`row/2` determines the row of the docked pane.

# safeSet(This, Source)

    -spec safeSet(This, Source) -> ok when This :: wxAuiPaneInfo(), Source :: wxAuiPaneInfo().

Write the safe parts of a PaneInfo object "source" into "this".

"Safe parts" are all non-UI elements (e.g. all layout determining parameters like the size, position etc.). "Unsafe parts" (pointers to button, frame and window) are not modified by this write operation.

Remark: This method is used when loading perspectives.

# setFlag(This, Flag, Option_state)

    -spec setFlag(This, Flag, Option_state) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), Flag :: integer(), Option_state :: boolean().

`setFlag/3` turns the property given by flag on or off with the option_state parameter.

# show(This)

    -spec show(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `show(This, [])`.

# show/2

    -spec show(This, [Option]) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Option :: {show, boolean()}.

`show/2` indicates that a pane should be shown.

# toolbarPane(This)

    -spec toolbarPane(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`toolbarPane/1` specifies that the pane should adopt the default toolbar pane settings.

# top(This)

    -spec top(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`top/1` sets the pane dock position to the top of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_TOP).

# topDockable(This)

    -spec topDockable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Equivalent to `topDockable(This, [])`.

# topDockable/2

    -spec topDockable(This, [Option]) -> wxAuiPaneInfo()
                         when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`topDockable/2` indicates whether a pane can be docked at the top of the frame.

# window(This, W)

    -spec window(This, W) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), W :: wxWindow:wxWindow().

`window/2` assigns the window pointer that the `wxAuiPaneInfo` should use.

This normally does not need to be specified, as the window pointer is automatically assigned to the `wxAuiPaneInfo` structure as soon as it is added to the manager.